commit: 9173201376a59708e3c7ef772f402c34ebfcc7ca
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 10 05:49:08 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 10 06:30:02 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91732013
dev-python/flaky: Bump to 3.7.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/flaky/Manifest | 1 +
dev-python/flaky/flaky-3.7.0.ebuild | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/flaky/Manifest b/dev-python/flaky/Manifest
index c20fb128d5e..3547b95ddc1 100644
--- a/dev-python/flaky/Manifest
+++ b/dev-python/flaky/Manifest
@@ -1 +1,2 @@
DIST flaky-3.6.1.tar.gz 29501 BLAKE2B
57d8c1ed9f271688f8a6f2acf25456058b3a67c86ea7aac8c32fd52221d294b5226461b9260677e3ed94af84ff9993a02e79f0d6b01f05daee2992efd8ad03b8
SHA512
f14fbd9259759f3b6f18a7dc16e00717ce54392a10cd9b3225636e33c904e69c6b01398bfce96d7273a40b6c2cca897a05ad386a4d8a83bffee12fab322f9b32
+DIST flaky-3.7.0.tar.gz 29591 BLAKE2B
747fbda71055bba937abf3e7b97691c1f4b222f085069d1815d5a9eba669464d2ed5d6dcf1842ae82f1970de5cd5e3aea5b12476bfa2d9282549ad0cc62901e9
SHA512
b399f6e1323d6ca341803ac6f1eb318bf24dc37182d0b49b89bb81b9466dd36271ad6dbb9f48ea6fa4760ee631f1482bb6f49c64f4d4520c40634089c1b64f9a
diff --git a/dev-python/flaky/flaky-3.7.0.ebuild
b/dev-python/flaky/flaky-3.7.0.ebuild
new file mode 100644
index 00000000000..98443c6754c
--- /dev/null
+++ b/dev-python/flaky/flaky-3.7.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Plugin for nose or py.test that automatically reruns flaky tests"
+HOMEPAGE="https://pypi.org/project/flaky/ https://github.com/box/flaky"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~sparc64-solaris
~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ test? (
+ dev-python/genty[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+python_test() {
+ nosetests --with-flaky --exclude="test_nose_options_example"
test/test_nose/ || die
+ pytest -k 'example and not options' --doctest-modules test/test_pytest/
|| die
+ pytest -p no:flaky test/test_pytest/test_flaky_pytest_plugin.py || die
+ nosetests --with-flaky --force-flaky --max-runs 2
test/test_nose/test_nose_options_example.py || die
+ pytest --force-flaky --max-runs 2
test/test_pytest/test_pytest_options_example.py || die
+}